Subject: Re: [PATCH 2/2] gitlab-ci: add whitespace error check

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 30 Apr 2024 07:04:53 +0200

On Mon, Apr 29, 2024 at 10:01:15PM -0500, Justin Tobler wrote:
> On 24/04/30 11:59AM, James Liu wrote:
> > Thanks for putting this together, Justin!
> > 
> > > +check-whitespace:
> > > +  image: ubuntu:latest
> > 
> > I wonder if we should pin to `ubuntu:22.04` and only update this for
> > each LTS release. It seems like we've done this for the
> > `static-analysis` job above.
> 
> I'm not sure if it particually matters. I know Patrick recently
> submitted the following also using `ubuntu:latest`:
> https://lore.kernel.org/git/[email-masked]/#r
> 
> I can change it though if there is strong opinion one way or the other.

I'd say it probably doesn't matter much for this case. But using
`ubuntu:latest` means that there's less maintenance going forward
because we don't ever have to update it.

Patrick